Bug 430789 - New list tag doesn't work correctly with changing filter text and then paginating.
New list tag doesn't work correctly with changing filter text and then pagina...
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Justin Sherrill
wes hayutin
Depends On:
Blocks: 248643
  Show dependency treegraph
Reported: 2008-01-29 14:28 EST by Justin Sherrill
Modified: 2008-04-02 17:07 EDT (History)
0 users

See Also:
Fixed In Version: sat510
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-02 17:07:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Justin Sherrill 2008-01-29 14:28:35 EST
The filter in the new list tag (System list, group list, etc..) should only
allow the filter value to change if the user selects the go button.

If the user changes the filter value, but then hits next page, prev page, select
all, etc... before hitting go, the list should retain the old filter value.

For example:

say there are 6 items in the list (unfiltered), and page size is set to 5.  (One
item being on the next page).  If you enter a filter term that will result in 3
results (but never press go) and then hit next page.  The list will go to page
2, and show results 6-3 of 3, but will only show one result.  This is incorrect.
 It should have never filtered in the first place because the user never hit go.
Comment 1 Justin Sherrill 2008-01-29 15:39:23 EST
fixed in rev 136292.

Please test the list tag pretty well after this change :}
Comment 2 wes hayutin 2008-02-01 11:18:37 EST
working well.. 
thanks!1   build 97
Comment 3 Preethi Thomas 2008-03-19 12:44:58 EDT
Comment 4 Brandon Perkins 2008-04-02 17:07:28 EDT
UI Enhancements for 5.1 Sat GA so Closed for Current Release.

Note You need to log in before you can comment on or make changes to this bug.